"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveModule = void 0;
const resolve_1 = require("resolve");
function resolveModule(fileName, basedir = process.cwd()) {
    try {
        return resolve_1.sync(fileName, {
            basedir,
            packageFilter(pkg) {
                pkg.main = pkg.module || pkg.esnext || pkg['jsnext:main'] || pkg.main;
                return pkg;
            },
        });
    }
    catch (error) {
        if (error instanceof Error &&
            error.code === 'MODULE_NOT_FOUND') {
            return null;
        }
        throw error;
    }
}
exports.resolveModule = resolveModule;
